org.eclipse.jetty.client.security

## Class BasicAuthentication

- java.lang.Object
- - org.eclipse.jetty.client.security.BasicAuthentication

All Implemented Interfaces:
  Authentication

    public class BasicAuthentication
    extends Object
    implements Authentication

Sets authentication headers for BASIC authentication challenges

### Constructor Summary

Constructors
Constructor and Description
`BasicAuthentication(Realm realm)`

### Method Summary

Methods
`void` `setCredentials(HttpExchange exchange)` BASIC authentication is of the form encoded credentials are of the form: username:password

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicAuthentication

    public BasicAuthentication(Realm realm)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws IOException

BASIC authentication is of the form encoded credentials are of the form: username:password

Specified by:
  `setCredentials` in interface `Authentication`
Throws:
  `IOException`